## smokeping 1.6

=== Makefile ===
SHELL = /bin/sh
VERSION = 1.6
IGNORE = ~|CVS|var/|smokeping-$(VERSION)/smokeping-$(VERSION)|cvsignore
GROFF = groff
.PHONY: man html txt ref patch killdoc doc tar
.SUFFIXES:
.SUFFIXES: .pm .pod .txt .html .man .1

POD := doc/$(wildcard doc/*.pod)   lib/ISG/ParseConfig.pm \
        lib/Smokeping.pm  $(wildcard lib/probes/*.pm)


BASE = $(addprefix doc/,$(subst .pod,,$(notdir $(POD))))
MAN = $(addsuffix .1,$(BASE))
TXT = $(addsuffix .txt,$(BASE))
HTML= $(addsuffix .html,$(BASE))

POD2MAN = pod2man --release=$(VERSION) --center=SmokePing $<  > $@
POD2HTML= cd doc ; pod2html --infile=../$< --outfile=../$@ --noindex --htmlroot=. --podroot=. --podpath=. --title=$*
doc/%.1: doc/%.pod
	$(POD2MAN)
doc/%.1: lib/%
	$(POD2MAN)
doc/%.1: lib/probes/%
	$(POD2MAN)
doc/%.1: lib/ISG/%
	$(POD2MAN)

doc/%.html: doc/%.pod
	$(POD2HTML)
doc/%.html: lib/%
	$(POD2HTML)
doc/%.html: lib/ISG/%
	$(POD2HTML)
doc/%.html: lib/probes/%
	$(POD2HTML)

doc/%.txt: doc/%.1
	$(GROFF) -man -Tascii $< > $@

man: $(MAN)

html: $(HTML)

txt: $(TXT)

ref:	
	./bin/smokeping.dist --makepod > doc/smokeping_config.pod
patch:
	perl -i~ -p -e 's/VERSION="\d.*?"/VERSION="$(VERSION)"/' lib/Smokeping.pm 
	perl -i~ -p -e 's/Smokeping \d.*?;/Smokeping $(VERSION);/' bin/smokeping.dist htdocs/smokeping.cgi.dist

killdoc:
	-rm doc/*.1 doc/*.txt doc/*.html

doc:    killdoc ref man html txt

tar:	doc patch
	-ln -s . smokeping-$(VERSION)
	find smokeping-$(VERSION)/* -type f -follow -o -type l | egrep -v '$(IGNORE)' | gtar -T - -czvf /home/oetiker/public_html/webtools/smokeping/pub/smokeping-$(VERSION).tar.gz
	cp CHANGES /home/oetiker/public_html/webtools/smokeping/pub/CHANGES
	rm smokeping-$(VERSION)

## smokeping 1.34

=== Makefile ===
SHELL = /bin/sh
VERSION = 1.34
IGNORE = ~|CVS|var/|smokeping-$(VERSION)/smokeping-$(VERSION)|cvsignore|rej|orig|DEAD
GROFF = groff
.PHONY: man html txt ref patch killdoc doc tar
.SUFFIXES:
.SUFFIXES: .pm .pod .txt .html .man .1

POD := doc/$(wildcard doc/*.pod)   lib/ISG/ParseConfig.pm \
        lib/Smokeping.pm 
PODPROBE :=  lib/probes/$(wildcard lib/probes/*.pm)
PODMATCH :=  lib/matchers/$(wildcard lib/matchers/*.pm)

BASE = $(addprefix doc/,$(subst .pod,,$(notdir $(POD))))  $(addprefix doc/probes/,$(subst .pod,,$(notdir $(PODPROBE)))) $(addprefix doc/matchers/,$(subst .pod,,$(notdir $(PODMATCH))))
MAN = $(addsuffix .1,$(BASE))
TXT = $(addsuffix .txt,$(BASE))
HTML= $(addsuffix .html,$(BASE))

POD2MAN = pod2man --release=$(VERSION) --center=SmokePing $<  > $@
POD2HTML= cd doc ; pod2html --infile=../$< --outfile=../$@ --noindex --htmlroot=. --podroot=. --podpath=. --title=$*
doc/%.1: doc/%.pod
	$(POD2MAN)
doc/%.1: lib/%
	$(POD2MAN)
doc/probes/%.1: lib/probes/%
	$(POD2MAN)
doc/matchers/%.1: lib/matchers/%
	$(POD2MAN)
doc/%.1: lib/ISG/%
	$(POD2MAN)

doc/%.html: doc/%.pod
	$(POD2HTML)
doc/%.html: lib/%
	$(POD2HTML)
doc/%.html: lib/ISG/%
	$(POD2HTML)
doc/probes/%.html: lib/probes/%
	$(POD2HTML)
doc/matchers/%.html: lib/matchers/%
	$(POD2HTML)

doc/%.txt: doc/%.1
	$(GROFF) -man -Tascii $< > $@
doc/matchers/%.txt: doc/matchers/%.1
	$(GROFF) -man -Tascii $< > $@
doc/probes/%.txt: doc/probes/%.1
	$(GROFF) -man -Tascii $< > $@

man: $(MAN)

html: $(HTML)

txt: $(TXT)

ref:	
	./bin/smokeping.dist --makepod > doc/smokeping_config.pod
patch:
	perl -i~ -p -e 's/VERSION="\d.*?"/VERSION="$(VERSION)"/' lib/Smokeping.pm 
	perl -i~ -p -e 's/Smokeping \d.*?;/Smokeping $(VERSION);/' bin/smokeping.dist htdocs/smokeping.cgi.dist

killdoc:
	-rm doc/*.1 doc/*.txt doc/*.html

doc:    killdoc ref man html txt

tar:	doc patch
	-ln -s . smokeping-$(VERSION)
	find smokeping-$(VERSION)/* -type f -follow -o -type l | egrep -v '$(IGNORE)' | gtar -T - -czvf smokeping-$(VERSION).tar.gz
	rm smokeping-$(VERSION)
	
dist:   tar
	mv smokeping-$(VERSION).tar.gz /home/oetiker/public_html/webtools/smokeping/pub/
	cp CHANGES /home/oetiker/public_html/webtools/smokeping/pub/CHANGES

## smokeping 1.38

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 SHELL = /bin/sh
-VERSION = 1.34
+VERSION = 1.38
 IGNORE = ~|CVS|var/|smokeping-$(VERSION)/smokeping-$(VERSION)|cvsignore|rej|orig|DEAD
 GROFF = groff
 .PHONY: man html txt ref patch killdoc doc tar
@@ -53,8 +53,10 @@
 
 txt: $(TXT)
 
-ref:	
-	./bin/smokeping.dist --makepod > doc/smokeping_config.pod
+ref: doc/smokeping_config.pod
+
+doc/smokeping_config.pod: lib/Smokeping.pm
+	perl -Ilib -I/usr/pack/rrdtool-1.0.47-to/lib/perl -mSmokeping ./bin/smokeping.dist --makepod > doc/smokeping_config.pod
 patch:
 	perl -i~ -p -e 's/VERSION="\d.*?"/VERSION="$(VERSION)"/' lib/Smokeping.pm 
 	perl -i~ -p -e 's/Smokeping \d.*?;/Smokeping $(VERSION);/' bin/smokeping.dist htdocs/smokeping.cgi.dist

## smokeping 1.42

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 SHELL = /bin/sh
-VERSION = 1.38
+VERSION = 1.42
 IGNORE = ~|CVS|var/|smokeping-$(VERSION)/smokeping-$(VERSION)|cvsignore|rej|orig|DEAD
 GROFF = groff
 .PHONY: man html txt ref patch killdoc doc tar

## smokeping 2.0.5

=== Makefile ===
SHELL = /bin/sh
VERSION = 2.0.5
############ A is for features
############ B is for bugfixes
############ V.AAABBB
############ 2.000001
############ 2.000002
NUMVERSION = 2.000005
IGNORE = ~|CVS|var/|smokeping-$(VERSION)/smokeping-$(VERSION)|cvsignore|rej|orig|DEAD|pod2htm[di]\.tmp|.svn
GROFF = groff
.PHONY: man html txt ref examples check-examples patch killdoc doc tar rename-man symlinks remove-symlinks
.SUFFIXES:
.SUFFIXES: .pm .pod .txt .html .man .1 .3 .5 .7

DOCS = $(filter-out doc/smokeping_config.pod doc/smokeping.pod doc/smokeping.cgi.pod,$(wildcard doc/*.pod)) doc/smokeping_examples.pod # section 7
DOCSCONFIG := doc/smokeping_config.pod # section 5
PM :=  lib/Config/Grammar.pm lib/Smokeping.pm lib/Smokeping/Examples.pm lib/Smokeping/RRDtools.pm
PODPROBE :=  $(wildcard lib/Smokeping/probes/*.pm)
PODMATCH :=  $(wildcard lib/Smokeping/matchers/*.pm)

DOCSBASE = $(subst .pod,,$(DOCS))
MODBASE = $(subst .pm,,$(subst lib/,doc/,$(PM))) \
	$(subst .pm,,$(subst lib/,doc/,$(PODPROBE))) \
	$(subst .pm,,$(subst lib/,doc/,$(PODMATCH)))
PROGBASE = doc/smokeping doc/smokeping.cgi doc/tSmoke
DOCSCONFIGBASE = doc/smokeping_config

BASE = $(DOCSBASE) $(MODBASE) $(PROGBASE) $(DOCSCONFIGBASE)

MAN = $(addsuffix .3,$(MODBASE)) $(addsuffix .5,$(DOCSCONFIGBASE)) $(addsuffix .7,$(DOCSBASE)) $(addsuffix .1,$(PROGBASE))
TXT = $(addsuffix .txt,$(BASE))
HTML= $(addsuffix .html,$(BASE))

POD2MAN = pod2man --release=$(VERSION) --center=SmokePing $<
MAN2TXT = $(GROFF) -man -Tascii $< > $@
# pod2html apparently needs to be in the target directory to get L<> links right
POD2HTML= cd $(dir $@); top="$(shell echo $(dir $@)|sed -e 's,doc/,,' -e 's,[^/]*/,../,g' -e 's,/$$,,')"; top=$${top:-.}; pod2html --infile=$(CURDIR)/$< --noindex --htmlroot=. --podroot=. --podpath=$${top} --title=$* | $${top}/../util/fix-pod2html.pl > $(notdir $@)
# we go to this trouble to ensure that MAKEPOD only uses modules in the installation directory
MAKEPOD= perl -I/home/oetiker/lib/fake-perl/ -Ilib -I/usr/pack/rrdtool-1.2svn-to/lib/perl -mSmokeping -e 'Smokeping::main()' -- --makepod
GENEX= perl -I/home/oetiker/lib/fake-perl/ -Ilib -I/usr/pack/rrdtool-1.2svn-to/lib/perl -mSmokeping -e 'Smokeping::main()' -- --gen-examples

doc/%.7: doc/%.pod
	$(POD2MAN) --section 7 > $@
doc/%.5: doc/%.pod
	$(POD2MAN) --section 5 > $@

doc/Smokeping.3: lib/Smokeping.pm
	$(POD2MAN) --section 3 > $@
doc/Smokeping/Examples.3: lib/Smokeping/Examples.pm
	$(POD2MAN) --section 3 > $@
doc/Smokeping/RRDtools.3: lib/Smokeping/RRDtools.pm
	$(POD2MAN) --section 3 > $@

doc/Smokeping/probes/%.pod: lib/Smokeping/probes/%.pm
	$(MAKEPOD) Smokeping::probes::$* > $@

doc/Smokeping/probes/%.3: doc/Smokeping/probes/%.pod
	$(POD2MAN) --section 3 > $@
doc/Smokeping/matchers/%.3: lib/Smokeping/matchers/%.pm
	$(POD2MAN) --section 3 > $@
doc/Config/%.3: lib/Config/%.pm
	$(POD2MAN) --section 3 > $@
doc/smokeping.1: bin/smokeping.dist
	$(POD2MAN) --section 1 > $@
doc/smokeping.cgi.1: htdocs/smokeping.cgi.dist
	$(POD2MAN) --section 1 > $@
doc/tSmoke.1: bin/tSmoke.dist
	$(POD2MAN) --section 1 > $@

doc/%.html: doc/%.pod
	$(POD2HTML)
doc/Smokeping.html: lib/Smokeping.pm
	$(POD2HTML)
doc/Smokeping/Examples.html: lib/Smokeping/Examples.pm
	$(POD2HTML)
doc/Smokeping/RRDtools.html: lib/Smokeping/RRDtools.pm
	$(POD2HTML)

doc/Smokeping/matchers/%.html: lib/Smokeping/matchers/%.pm
	$(POD2HTML)
doc/Config/%.html: lib/Config/%.pm
	$(POD2HTML)
doc/smokeping.html: bin/smokeping.dist
	$(POD2HTML)
doc/smokeping.cgi.html: htdocs/smokeping.cgi.dist
	$(POD2HTML)
doc/tSmoke.html: bin/tSmoke.dist
	$(POD2HTML)

doc/%.txt: doc/%.1
	$(MAN2TXT)
doc/%.txt: doc/%.3
	$(MAN2TXT)
doc/%.txt: doc/%.5
	$(MAN2TXT)
doc/%.txt: doc/%.7
	$(MAN2TXT)

man: $(MAN)

html: symlinks $(HTML) remove-symlinks

txt: $(TXT)

rename-man: $(MAN)
	for j in probes matchers; do \
	  for i in doc/Smokeping/$$j/*.3; do \
	    if echo $$i | grep Smokeping::$$j>/dev/null; then :; else \
	      mv $$i `echo $$i | sed s,$$j/,$$j/Smokeping::$$j::,`; \
	    fi; \
	  done; \
	done
	mv doc/Config/Grammar.3 doc/Config/Config::Grammar.3
	mv doc/Smokeping/Examples.3 doc/Smokeping/Smokeping::Examples.3
	mv doc/Smokeping/RRDtools.3 doc/Smokeping/Smokeping::RRDtools.3

ref: doc/smokeping_config.pod

symlinks:
	-ln -s bin/smokeping.dist doc/smokeping.pod
	-ln -s htdocs/smokeping.cgi.dist doc/smokeping.cgi.pod

remove-symlinks:
	-rm doc/smokeping.pod
	-rm doc/smokeping.cgi.pod

examples:
	$(GENEX)

check-examples:
	$(GENEX) --check

doc/smokeping_config.pod: lib/Smokeping.pm
	$(MAKEPOD) > $@
doc/smokeping_examples.pod: lib/Smokeping/Examples.pm etc/config.dist
	$(GENEX)
patch:
	perl -i~ -p -e 's/VERSION="\d.*?"/VERSION="$(NUMVERSION)"/' lib/Smokeping.pm 
	perl -i~ -p -e 's/Smokeping \d.*?;/Smokeping $(NUMVERSION);/' bin/smokeping.dist htdocs/smokeping.cgi.dist bin/tSmoke.dist
	perl -i~ -p -e 'do { my @d = localtime; my $$d = (1900+$$d[5])."/".(1+$$d[4])."/".$$d[3]; print "$$d -- released version $(VERSION)\n\n" } unless $$done++ || /version $(VERSION)/' CHANGES

killdoc:
	-rm doc/*.[1357] doc/*.txt doc/*.html doc/Smokeping/* doc/Smokeping/probes/* doc/Smokeping/matchers/* doc/Config/* doc/examples/* doc/smokeping_examples.pod doc/smokeping_config.pod doc/smokeping.pod doc/smokeping.cgi.pod

doc:    killdoc ref examples man html txt rename-man

# patch first so Smokeping.pm is older than smokeping_config.pod in the tarball
tar:	patch doc
	-ln -s . smokeping-$(VERSION)
	find smokeping-$(VERSION)/* -type f -follow -o -type l | egrep -v '$(IGNORE)' | gtar -T - -czvf smokeping-$(VERSION).tar.gz
	rm smokeping-$(VERSION)

commit:
	svn commit -m "prepare for the release of smokeping-$(VERSION)"
	
dist:   tar commit
	mv smokeping-$(VERSION).tar.gz /home/oetiker/public_html/webtools/smokeping/pub/
	cp CHANGES /home/oetiker/public_html/webtools/smokeping/pub/CHANGES

tag:    dist
	svn ls svn://svn.ee.ethz.ch/smokeping/tags/$(VERSION) || \
	svn copy -m "tagging version $(VERSION)" svn://svn.ee.ethz.ch/smokeping/branches/2.0 svn://svn.ee.ethz.ch/smokeping/tags/$(VERSION)

## smokeping 2.0.8

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 SHELL = /bin/sh
-VERSION = 2.0.5
+VERSION = 2.0.8
 ############ A is for features
 ############ B is for bugfixes
 ############ V.AAABBB
 ############ 2.000001
 ############ 2.000002
-NUMVERSION = 2.000005
+NUMVERSION = 2.000008
 IGNORE = ~|CVS|var/|smokeping-$(VERSION)/smokeping-$(VERSION)|cvsignore|rej|orig|DEAD|pod2htm[di]\.tmp|.svn
 GROFF = groff
 .PHONY: man html txt ref examples check-examples patch killdoc doc tar rename-man symlinks remove-symlinks

## smokeping 2.0.9

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 SHELL = /bin/sh
-VERSION = 2.0.8
+VERSION = 2.0.9
 ############ A is for features
 ############ B is for bugfixes
 ############ V.AAABBB
 ############ 2.000001
 ############ 2.000002
-NUMVERSION = 2.000008
+NUMVERSION = 2.000009
 IGNORE = ~|CVS|var/|smokeping-$(VERSION)/smokeping-$(VERSION)|cvsignore|rej|orig|DEAD|pod2htm[di]\.tmp|.svn
 GROFF = groff
 .PHONY: man html txt ref examples check-examples patch killdoc doc tar rename-man symlinks remove-symlinks

## smokeping 2.1.1

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,14 @@
 SHELL = /bin/sh
-VERSION = 2.0.9
+VERSION = 2.1.1
 ############ A is for features
 ############ B is for bugfixes
 ############ V.AAABBB
 ############ 2.000001
 ############ 2.000002
-NUMVERSION = 2.000009
-IGNORE = ~|CVS|var/|smokeping-$(VERSION)/smokeping-$(VERSION)|cvsignore|rej|orig|DEAD|pod2htm[di]\.tmp|.svn
+NUMVERSION = 2.001001
+IGNORE = ~|CVS|var/|smokeping-$(VERSION)/smokeping-$(VERSION)|cvsignore|rej|orig|DEAD|pod2htm[di]\.tmp|\.svn|tar\.gz|DEADJOE
 GROFF = groff
+PERL = perl-5.8.8
 .PHONY: man html txt ref examples check-examples patch killdoc doc tar rename-man symlinks remove-symlinks
 .SUFFIXES:
 .SUFFIXES: .pm .pod .txt .html .man .1 .3 .5 .7
@@ -17,11 +18,13 @@
 PM :=  lib/Config/Grammar.pm lib/Smokeping.pm lib/Smokeping/Examples.pm lib/Smokeping/RRDtools.pm
 PODPROBE :=  $(wildcard lib/Smokeping/probes/*.pm)
 PODMATCH :=  $(wildcard lib/Smokeping/matchers/*.pm)
+PODSORT :=  $(wildcard lib/Smokeping/sorters/*.pm)
 
 DOCSBASE = $(subst .pod,,$(DOCS))
 MODBASE = $(subst .pm,,$(subst lib/,doc/,$(PM))) \
 	$(subst .pm,,$(subst lib/,doc/,$(PODPROBE))) \
-	$(subst .pm,,$(subst lib/,doc/,$(PODMATCH)))
+	$(subst .pm,,$(subst lib/,doc/,$(PODMATCH))) \
+	$(subst .pm,,$(subst lib/,doc/,$(PODSORT)))
 PROGBASE = doc/smokeping doc/smokeping.cgi doc/tSmoke
 DOCSCONFIGBASE = doc/smokeping_config
 
@@ -36,8 +39,8 @@
 # pod2html apparently needs to be in the target directory to get L<> links right
 POD2HTML= cd $(dir $@); top="$(shell echo $(dir $@)|sed -e 's,doc/,,' -e 's,[^/]*/,../,g' -e 's,/$$,,')"; top=$${top:-.}; pod2html --infile=$(CURDIR)/$< --noindex --htmlroot=. --podroot=. --podpath=$${top} --title=$* | $${top}/../util/fix-pod2html.pl > $(notdir $@)
 # we go to this trouble to ensure that MAKEPOD only uses modules in the installation directory
-MAKEPOD= perl -I/home/oetiker/lib/fake-perl/ -Ilib -I/usr/pack/rrdtool-1.2svn-to/lib/perl -mSmokeping -e 'Smokeping::main()' -- --makepod
-GENEX= perl -I/home/oetiker/lib/fake-perl/ -Ilib -I/usr/pack/rrdtool-1.2svn-to/lib/perl -mSmokeping -e 'Smokeping::main()' -- --gen-examples
+MAKEPOD= $(PERL) -I/home/oetiker/lib/fake-perl/ -Ilib -I/usr/pack/rrdtool-1.2svn-to/lib/perl -mSmokeping -e 'Smokeping::main()' -- --makepod
+GENEX= $(PERL) -I/home/oetiker/lib/fake-perl/ -Ilib -I/usr/pack/rrdtool-1.2svn-to/lib/perl -mSmokeping -e 'Smokeping::main()' -- --gen-examples
 
 doc/%.7: doc/%.pod
 	$(POD2MAN) --section 7 > $@
@@ -58,6 +61,8 @@
 	$(POD2MAN) --section 3 > $@
 doc/Smokeping/matchers/%.3: lib/Smokeping/matchers/%.pm
 	$(POD2MAN) --section 3 > $@
+doc/Smokeping/sorters/%.3: lib/Smokeping/sorters/%.pm
+	$(POD2MAN) --section 3 > $@
 doc/Config/%.3: lib/Config/%.pm
 	$(POD2MAN) --section 3 > $@
 doc/smokeping.1: bin/smokeping.dist
@@ -77,6 +82,8 @@
 	$(POD2HTML)
 
 doc/Smokeping/matchers/%.html: lib/Smokeping/matchers/%.pm
+	$(POD2HTML)
+doc/Smokeping/sorters/%.html: lib/Smokeping/sorters/%.pm
 	$(POD2HTML)
 doc/Config/%.html: lib/Config/%.pm
 	$(POD2HTML)
@@ -103,7 +110,7 @@
 txt: $(TXT)
 
 rename-man: $(MAN)
-	for j in probes matchers; do \
+	for j in probes matchers sorters; do \
 	  for i in doc/Smokeping/$$j/*.3; do \
 	    if echo $$i | grep Smokeping::$$j>/dev/null; then :; else \
 	      mv $$i `echo $$i | sed s,$$j/,$$j/Smokeping::$$j::,`; \
@@ -135,27 +142,26 @@
 doc/smokeping_examples.pod: lib/Smokeping/Examples.pm etc/config.dist
 	$(GENEX)
 patch:
-	perl -i~ -p -e 's/VERSION="\d.*?"/VERSION="$(NUMVERSION)"/' lib/Smokeping.pm 
-	perl -i~ -p -e 's/Smokeping \d.*?;/Smokeping $(NUMVERSION);/' bin/smokeping.dist htdocs/smokeping.cgi.dist bin/tSmoke.dist
-	perl -i~ -p -e 'do { my @d = localtime; my $$d = (1900+$$d[5])."/".(1+$$d[4])."/".$$d[3]; print "$$d -- released version $(VERSION)\n\n" } unless $$done++ || /version $(VERSION)/' CHANGES
+	$(PERL) -i~ -p -e 's/VERSION="\d.*?"/VERSION="$(NUMVERSION)"/' lib/Smokeping.pm 
+	$(PERL) -i~ -p -e 's/Smokeping \d.*?;/Smokeping $(NUMVERSION);/' bin/smokeping.dist htdocs/smokeping.cgi.dist bin/tSmoke.dist
+	$(PERL) -i~ -p -e 'do { my @d = localtime; my $$d = (1900+$$d[5])."/".(1+$$d[4])."/".$$d[3]; print "$$d -- released version $(VERSION)\n\n" } unless $$done++ || /version $(VERSION)/' CHANGES
 
 killdoc:
-	-rm doc/*.[1357] doc/*.txt doc/*.html doc/Smokeping/* doc/Smokeping/probes/* doc/Smokeping/matchers/* doc/Config/* doc/examples/* doc/smokeping_examples.pod doc/smokeping_config.pod doc/smokeping.pod doc/smokeping.cgi.pod
+	-rm doc/*.[1357] doc/*.txt doc/*.html doc/Smokeping/* doc/Smokeping/probes/* doc/Smokeping/matchers/* doc/Smokeping/sorters/* doc/Config/* doc/examples/* doc/smokeping_examples.pod doc/smokeping_config.pod doc/smokeping.pod doc/smokeping.cgi.pod
 
 doc:    killdoc ref examples man html txt rename-man
 
 # patch first so Smokeping.pm is older than smokeping_config.pod in the tarball
 tar:	patch doc
 	-ln -s . smokeping-$(VERSION)
-	find smokeping-$(VERSION)/* -type f -follow -o -type l | egrep -v '$(IGNORE)' | gtar -T - -czvf smokeping-$(VERSION).tar.gz
+	find smokeping-$(VERSION)/* -type f -follow -o -type l | egrep -v '$(IGNORE)' | tar -T - -czvf smokeping-$(VERSION).tar.gz
 	rm smokeping-$(VERSION)
 
 commit:
 	svn commit -m "prepare for the release of smokeping-$(VERSION)"
 	
 dist:   tar commit
-	mv smokeping-$(VERSION).tar.gz /home/oetiker/public_html/webtools/smokeping/pub/
-	cp CHANGES /home/oetiker/public_html/webtools/smokeping/pub/CHANGES
+	scp CHANGES smokeping-$(VERSION).tar.gz oposs@oss.oetiker.ch:public_html/smokeping/pub/
 
 tag:    dist
 	svn ls svn://svn.ee.ethz.ch/smokeping/tags/$(VERSION) || \

## smokeping 2.3.0

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,13 @@
 SHELL = /bin/sh
-VERSION = 2.1.1
+VERSION := 2.3.0
+SVNREPO = svn://svn.oetiker.ch/smokeping
 ############ A is for features
 ############ B is for bugfixes
 ############ V.AAABBB
 ############ 2.000001
 ############ 2.000002
-NUMVERSION = 2.001001
-IGNORE = ~|CVS|var/|smokeping-$(VERSION)/smokeping-$(VERSION)|cvsignore|rej|orig|DEAD|pod2htm[di]\.tmp|\.svn|tar\.gz|DEADJOE
+NUMVERSION = 2.003000
+IGNORE = ~|CVS|var/|smokeping-$(VERSION)/smokeping-$(VERSION)|cvsignore|rej|orig|DEAD|pod2htm[di]\.tmp|\.svn|tar\.gz|DEADJOE|svn-commit\.tmp
 GROFF = groff
 PERL = perl-5.8.8
 .PHONY: man html txt ref examples check-examples patch killdoc doc tar rename-man symlinks remove-symlinks
@@ -141,10 +142,6 @@
 	$(MAKEPOD) > $@
 doc/smokeping_examples.pod: lib/Smokeping/Examples.pm etc/config.dist
 	$(GENEX)
-patch:
-	$(PERL) -i~ -p -e 's/VERSION="\d.*?"/VERSION="$(NUMVERSION)"/' lib/Smokeping.pm 
-	$(PERL) -i~ -p -e 's/Smokeping \d.*?;/Smokeping $(NUMVERSION);/' bin/smokeping.dist htdocs/smokeping.cgi.dist bin/tSmoke.dist
-	$(PERL) -i~ -p -e 'do { my @d = localtime; my $$d = (1900+$$d[5])."/".(1+$$d[4])."/".$$d[3]; print "$$d -- released version $(VERSION)\n\n" } unless $$done++ || /version $(VERSION)/' CHANGES
 
 killdoc:
 	-rm doc/*.[1357] doc/*.txt doc/*.html doc/Smokeping/* doc/Smokeping/probes/* doc/Smokeping/matchers/* doc/Smokeping/sorters/* doc/Config/* doc/examples/* doc/smokeping_examples.pod doc/smokeping_config.pod doc/smokeping.pod doc/smokeping.cgi.pod
@@ -152,17 +149,20 @@
 doc:    killdoc ref examples man html txt rename-man
 
 # patch first so Smokeping.pm is older than smokeping_config.pod in the tarball
-tar:	patch doc
-	-ln -s . smokeping-$(VERSION)
-	find smokeping-$(VERSION)/* -type f -follow -o -type l | egrep -v '$(IGNORE)' | tar -T - -czvf smokeping-$(VERSION).tar.gz
-	rm smokeping-$(VERSION)
+smokeping-$(VERSION).tar.gz:
+	$(PERL) -i~ -p -e 's/VERSION="\d.*?"/VERSION="$(NUMVERSION)"/' lib/Smokeping.pm 
+	$(PERL) -i~ -p -e 's/Smokeping \d.*?;/Smokeping $(NUMVERSION);/' bin/smokeping.dist htdocs/smokeping.cgi.dist bin/tSmoke.dist
+	$(PERL) -i~ -p -e 'do { my @d = localtime; my $$d = (1900+$$d[5])."/".(1+$$d[4])."/".$$d[3]; print "$$d -- released version $(VERSION)\n\n" } unless $$done++ || /version $(VERSION)/' CHANGES
+	svn commit -m "prepare for the release of smokeping-$(VERSION)"
+	svn export $(SVNREPO)/trunk/software smokeping-$(VERSION)
+	rm -rf smokeping-$(VERSION)/qooxdoo
+	(cd smokeping-$(VERSION) && $(MAKE) doc)
+	tar czvf smokeping-$(VERSION).tar.gz --exclude '*.tmp' smokeping-$(VERSION)
+	rm -rf smokeping-$(VERSION)
 
-commit:
-	svn commit -m "prepare for the release of smokeping-$(VERSION)"
-	
-dist:   tar commit
+dist:   smokeping-$(VERSION).tar.gz
 	scp CHANGES smokeping-$(VERSION).tar.gz oposs@oss.oetiker.ch:public_html/smokeping/pub/
 
 tag:    dist
-	svn ls svn://svn.ee.ethz.ch/smokeping/tags/$(VERSION) || \
-	svn copy -m "tagging version $(VERSION)" svn://svn.ee.ethz.ch/smokeping/branches/2.0 svn://svn.ee.ethz.ch/smokeping/tags/$(VERSION)
+	svn ls $(SVNREPO)/tags/$(VERSION) || \
+	svn copy -m "tagging version $(VERSION)" $(SVNREPO)/trunk/software $(SVNREPO)/tags/$(VERSION)

## smokeping 2.3.6

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 SHELL = /bin/sh
-VERSION := 2.3.0
+VERSION := 2.3.6
 SVNREPO = svn://svn.oetiker.ch/smokeping
 ############ A is for features
 ############ B is for bugfixes
 ############ V.AAABBB
 ############ 2.000001
 ############ 2.000002
-NUMVERSION = 2.003000
+NUMVERSION = 2.003006
 IGNORE = ~|CVS|var/|smokeping-$(VERSION)/smokeping-$(VERSION)|cvsignore|rej|orig|DEAD|pod2htm[di]\.tmp|\.svn|tar\.gz|DEADJOE|svn-commit\.tmp
 GROFF = groff
 PERL = perl-5.8.8
@@ -148,6 +148,12 @@
 
 doc:    killdoc ref examples man html txt rename-man
 
+docdirs: 
+	for d in doc/Config doc/examples doc/Smokeping/probes \
+	         doc/Smokeping/sorters doc/Smokeping/matchers; do \
+		[ -d $$d ] || mkdir -p $$d; \
+	done
+
 # patch first so Smokeping.pm is older than smokeping_config.pod in the tarball
 smokeping-$(VERSION).tar.gz:
 	$(PERL) -i~ -p -e 's/VERSION="\d.*?"/VERSION="$(NUMVERSION)"/' lib/Smokeping.pm

## smokeping 2.6.5

=== debian/changelog ===
smokeping (2.6.5-2) unstable; urgency=low

  * Bug fix: "prompting due to modified conffiles which where not modified
    by the user", thanks to Holger Levsen (Closes: #655968). This is done
    by simply removing ucf config files that were not changed before
    installing them.
  * fix lintian warning by refering explicitly to GPL-2
  * update standards version to 3.9.2, no change
  * unset locale (LC_ALL) when building to please the build process

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 15 Jan 2012 18:17:16 -0500

smokeping (2.6.5-1) unstable; urgency=low

  * fix pathnames

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 21 Nov 2011 22:26:40 -0500

smokeping (2.6.5-1~experimental1) experimental; urgency=low

  * fix reload in startup script
  * forgot in previous changelog: stop using ucf now that we generate
    config files during build, which leads to extra prompts during
    upgrades.

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 16 Nov 2011 11:59:33 -0500

smokeping (2.6.5-1~experimental0) experimental; urgency=low

  * new upstream release (Closes: #485977).
  * take over maintainership, leaving previous maintainer as uploader
    (Closes: #568742).
  * remove patches:
    * 15_clean_makefile.dpatch - makefile is now clean
    * 20_html-parser.dpatch - obsolete
  * strip down patch:
    * 10_path_changes.dpatch - only fix the HTML paths
  * add patches:
    * fcgi_destdir - setup the fcgi script properly
    * fix-conf-path-cgi - hardcode the path to the config in the CGI script
    * fix-conf-paths - fix paths in main config
    * fix-perl-lib - fix path to PERLIB
    * proper-sample-conf - have a proper sample config
    * typo_642197 - fix typo in mail template (Closes: #642197)
    * fix-400d-graph - fix long term graph (Closes: #618851)
  * rewrite debian/rules with debhelper 7
  * remove our custom config.d files, instead we split the upstream config
    in multiple files during the build, our modifications are now patches
    to the default config (Closes: #589679)
  * remove old (pre 2.3.6) compatibility code, now that even oldstable is
    running that release
  * switch to 3.0 (quilt) format

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 07 Nov 2011 00:15:53 -0500

smokeping (2.3.6-5) unstable; urgency=medium

  * debian/patches/20_html-parser.dpatch: fix an incompatibility with
    recent versions of HTML::Parser. (Closes: #560562)

 -- Niko Tyni <ntyni@debian.org>  Sun, 20 Dec 2009 22:38:16 +0200

smokeping (2.3.6-4) unstable; urgency=low

  * Depend on libconfig-grammar-perl instead of bundling it. (Closes: #531196)
  * Install the perl code in /usr/share/smokeping/lib instead of
    /usr/share/perl5/smokeping.
  * Downgrade the exim4 | mail-transport agent dependency to a suggestion.
    (Closes: #520350)
  * Remove the obsolete libnet-perl dependency.
  * Depend on javascript libraries instead of bundling them. (Closes: #475285)
    + cpio not used anymore. (Closes: #537026)
  * Move away from /var/www but add compatibility symlinks on upgrades.
    See NEWS.Debian. (Closes: #521333)
    + automatically enable the web server configuration on new installations
      where possible.
  * Serve UTF-8 by default. Thanks to Elmar Hoffmann. (Closes: #506978)
  * Don't ship /var/run/smokeping, it will be created at run time.
  * Upgrade to Standards-Version 3.8.2.
    + add Homepage, Vcs-Git, and Vcs-Browser information to debian/control. 
  * Change the alternate web server recommendation to httpd-cgi as per policy.

 -- Niko Tyni <ntyni@debian.org>  Tue, 21 Jul 2009 21:11:01 +0300

smokeping (2.3.6-3) unstable; urgency=low

  * Unset LC_ALL in the init script because the daemon needs to 
    reset LC_NUMERIC. (Closes: #489766)
  * Fix a bashism in the postinst script. Thanks, lintian.

 -- Niko Tyni <ntyni@debian.org>  Fri, 29 Aug 2008 18:29:34 +0300

smokeping (2.3.6-2) unstable; urgency=low

  * Kill speedy_backend processes that are running on stop (Closes: #485880)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Wed, 02 Jul 2008 00:30:34 +0200

smokeping (2.3.6-1) unstable; urgency=low

  * New upstream release.
    + honours the 'linkstyle' variable when zooming. (Closes: #476404)
  * Wait until the daemon has exited when stopping it with the init.d script.
    This should fix a race condition that made restarts fail sporadically.
    (Closes: #478241)

 -- Niko Tyni <ntyni@debian.org>  Mon, 28 Apr 2008 21:49:28 +0300

smokeping (2.3.5-2) unstable; urgency=low

  * Prevent an unnecessary ucf prompt for the Slaves section on upgrades.
  * Upload to unstable.

 -- Niko Tyni <ntyni@debian.org>  Fri, 04 Apr 2008 08:47:24 +0300

smokeping (2.3.5-1) experimental; urgency=low

  * New upstream release. (Closes: #470295)
    + debian/patches/30_slave_piddir.dpatch: removed, included upstream.
    + new dependency on libdigest-hmac-perl
  * Revisit the directory permissions of various directories under /var.
    See also NEWS.Debian.
    + use /var/lib/smokeping/__cgi as a storage place for the CGI.
      (Closes: #470382)
    + debian/postinst: 
      * set the right permissions on install
      * move *.adr files under __cgi on upgrade
  * honour DAEMON_ARGS from /etc/default/smokeping even in slave mode.
  * Remove the example target hierarchy 'World' from the default configuration
    file, so that no unnecessary directories are created in the CGI directory.
  * debian/rules: recreate empty documentation directories if needed to ease 
    working with a git repository.
  * Split the monolithic configuration file into configuration snippets
    in /etc/smokeping/config.d. See NEWS.Debian. (Closes: #473223)
    + use ucf for managing all the configuration files to ease the merging
    + debian/patches/20_conffile.dpatch: removed
  * Install the upstream config template in /usr/share/doc too, because
    smokeping_examples(7) says so and it doesn't hurt.
  * Update debian/copyright.
  * Don't blindly remove the whole /etc/smokeping on purge, just the


=== debian/control ===
Source: smokeping
Section: net
Priority: extra
Maintainer: Antoine Beaupré <anarcat@debian.org>
Uploaders: Niko Tyni <ntyni@debian.org>, Jose Carlos Garcia Sogo <jsogo@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autoconf, automake
Build-Depends-Indep: librrds-perl, groff-base, libhtml-parser-perl,
 libdigest-hmac-perl, libwww-perl, liburi-perl, libcgi-fast-perl, libconfig-grammar-perl
Standards-Version: 3.9.2
Homepage: http://smokeping.org/
Vcs-Browser: http://git.debian.org/?p=collab-maint/smokeping.git
Vcs-Git: git://git.debian.org/git/collab-maint/smokeping.git

Package: smokeping
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libwww-perl,
 libsnmp-session-perl (>= 0.86), librrds-perl (>= 1.2), liburi-perl,
 fping (>= 2.4b2-to-ipv6-2), libcgi-fast-perl,
 debianutils (>= 1.7), adduser, 
 lsb-base (>= 3.0-6), libdigest-hmac-perl, ucf (>= 0.28),
 libconfig-grammar-perl,
 libjs-cropper,
 libjs-scriptaculous,
 libjs-prototype
Recommends: apache2 | httpd-cgi, libsocket6-perl, dnsutils, echoping
Suggests: curl, libauthen-radius-perl, libnet-ldap-perl, libnet-dns-perl, 
 exim4 | mail-transport-agent,
 openssh-client, libio-socket-ssl-perl, libnet-telnet-perl
Description: latency logging and graphing system
 SmokePing consists of a daemon process which organizes the 
 latency measurements and a CGI which presents the graphs. 
 .
 With SmokePing you can measure latency and packet loss in your network. 
 SmokePing uses RRDtool to maintain a longterm datastore and to draw pretty
 graphs giving up to the minute information on the state of each 
 network connection.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# smokeping doesn't like building with your locale
unexport LC_ALL

TMP=$(CURDIR)/debian/smokeping

override_dh_auto_configure:
	autoconf
	automake
	./configure --prefix=/usr --with-htdocs-dir=/usr/share/smokeping/www --bindir=/usr/sbin --sysconfdir=/usr/share/doc/smokeping/


override_dh_auto_install:
	dh_auto_install

	rm -r $(TMP)/usr/share/smokeping/www/cropper
	dh_link /var/cache/smokeping/images /usr/share/smokeping/www/images
	for d in cropper prototype scriptaculous; do \
	        dh_link /usr/share/javascript/$$d /usr/share/smokeping/www/$$d; \
	done
	install -m 644 $(CURDIR)/htdocs/cropper/smokeping-zoom.js $(TMP)/usr/share/smokeping/www

	mv $(TMP)/usr/share/doc/smokeping/*.dist $(TMP)/etc/smokeping/
	rename 's/\.dist$$//' $(TMP)/etc/smokeping/*.dist $(TMP)/usr/share/smokeping/smokeping.fcgi.dist
	rm -f $(TMP)/usr/share/perl5/BER.pm $(TMP)/usr/share/perl5/SNMP_*
	mv $(TMP)/usr/sbin/smokeping_cgi $(TMP)/usr/lib/cgi-bin/smokeping.cgi
	install -m 644 $(CURDIR)/debian/apache2.conf $(TMP)/etc/smokeping
	$(CURDIR)/debian/split_config $(TMP)
	install -m 644 $(CURDIR)/debian/default-config $(TMP)/etc/smokeping/config

%:
	dh $@

## smokeping 2.6.7

=== debian/changelog ===
smokeping (2.6.7-1) unstable; urgency=high

  * New upstream release to fix CVE-2012-0790 (Closes: #659899)

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 14 Feb 2012 13:30:29 -0500

## smokeping 2.6.8

=== debian/changelog ===
smokeping (2.6.8-2ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf to install missing files and fix FTBFS:
    "error: required file 'conftools/compile' not found"
  * Apply patch from upstream git to fix groff error:
    "alternative text 'the master/slave mode' contains non-escaped | or /"

 -- Andreas Moog <andreas.moog@warperbbs.de>  Tue, 28 Jan 2014 21:09:44 +0100

smokeping (2.6.8-2) unstable; urgency=high

  * Acknowledge gregor's NMU, thanks!
  * Urgency high to fix CVE-2012-0790 again (Closes: #659899)

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 16 Mar 2013 20:19:34 -0400

smokeping (2.6.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "fails to install, remove, distupgrade, and install again":
    remove ucf config files also on install (not only on upgrade); cf. the
    changelog entry for 2.6.5-2 and #655968.
    (Closes: #668383)
  * Remove Niko Tyni from Uploaders as per his request in #668383.

 -- gregor herrmann <gregoa@debian.org>  Mon, 30 Jul 2012 21:02:52 +0200

smokeping (2.6.8-1) unstable; urgency=low

  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 26 Feb 2012 13:25:13 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: smokeping
 Section: net
 Priority: extra
-Maintainer: Antoine Beaupré <anarcat@debian.org>
-Uploaders: Niko Tyni <ntyni@debian.org>, Jose Carlos Garcia Sogo <jsogo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Antoine Beaupré <anarcat@debian.org>
+Uploaders: Jose Carlos Garcia Sogo <jsogo@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), autoconf, automake
 Build-Depends-Indep: librrds-perl, groff-base, libhtml-parser-perl,
- libdigest-hmac-perl, libwww-perl, liburi-perl, libcgi-fast-perl, libconfig-grammar-perl
+ libdigest-hmac-perl, libwww-perl, liburi-perl, libcgi-fast-perl, libconfig-grammar-perl, dh-autoreconf
 Standards-Version: 3.9.2
 Homepage: http://smokeping.org/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/smokeping.git

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,6 @@
 TMP=$(CURDIR)/debian/smokeping
 
 override_dh_auto_configure:
-	autoconf
-	automake
 	./configure --prefix=/usr --with-htdocs-dir=/usr/share/smokeping/www --bindir=/usr/sbin --sysconfdir=/usr/share/doc/smokeping/
 
 
@@ -46,4 +44,4 @@
 	install -m 644 $(CURDIR)/debian/default-config $(TMP)/etc/smokeping/config
 
 %:
-	dh $@
+	dh $@ --with autoreconf

## smokeping 2.6.9

=== debian/changelog ===
smokeping (2.6.9-1) unstable; urgency=medium

  * Upload to unstable
  * remove jsogo as uploader, as I haven't heard from him in years
  * Bug fix: missing "#MODE=slave" in /etc/default/smokeping, thanks to
    xavier renaut for reporting and Rowan Thorpe for confirmation (Closes:
    #685811).
  * follow anonscm.d.o rename
  * fix status doesn't use the pidfile (Closes: #699799)
  * use dh_autoreconf to fix configure step, thanks to Rowan Thorpe
    * Use dh_autoreconf to avoid errors about "missing xx" and to allow
      rebuilding after first build (Closes: #724471)
    * use dh_auto_configure rather than ./configure in rules, to only
      override specified flags, not all
  * add patches from Rowan Thorpe
    * fix-paths-inside-executables - hardcode paths inside executables
      (Closes: #707225)
    * fix-pod-escaping - quote-protect a slash in a pod-link (Closes:
      #752393)
  * bump standards to 3.9.5, no change
  * fix dependency list to ease diffs

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 07 Jul 2014 22:03:59 -0400

smokeping (2.6.9-1~exp0) experimental; urgency=high

  * New upstream release to properly fix CVE-2012-0790 (Closes: #659899)
  * Acknowledge the NMU, thanks gregor!

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 16 Mar 2013 11:34:03 -0400

=== debian/control ===
Source: smokeping
Section: net
Priority: extra
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
 , autoconf
 , automake
 , dh-autoreconf
Build-Depends-Indep: librrds-perl
 , groff-base
 , libhtml-parser-perl
 , libdigest-hmac-perl
 , libwww-perl
 , liburi-perl
 , libcgi-fast-perl
 , libconfig-grammar-perl
Standards-Version: 3.9.5
Homepage: http://smokeping.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/smokeping.git
Vcs-Git: git://anonscm.debian.org/collab-maint/smokeping.git

Package: smokeping
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
 , libwww-perl
 , libsnmp-session-perl (>= 0.86)
 , librrds-perl (>= 1.2)
 , liburi-perl
 , fping (>= 2.4b2-to-ipv6-2)
 , libcgi-fast-perl
 , debianutils (>= 1.7)
 , adduser
 , lsb-base (>= 3.0-6)
 , libdigest-hmac-perl
 , ucf (>= 0.28)
 , libconfig-grammar-perl
 , libjs-cropper
 , libjs-scriptaculous
 , libjs-prototype
Recommends: apache2 | httpd-cgi
 , libsocket6-perl
 , dnsutils
 , echoping
Suggests: curl
 , libauthen-radius-perl
 , libnet-ldap-perl
 , libnet-dns-perl
 , exim4 | mail-transport-agent
 , openssh-client
 , libio-socket-ssl-perl
 , libnet-telnet-perl
Description: latency logging and graphing system
 SmokePing consists of a daemon process which organizes the 
 latency measurements and a CGI which presents the graphs. 
 .
 With SmokePing you can measure latency and packet loss in your network. 
 SmokePing uses RRDtool to maintain a longterm datastore and to draw pretty
 graphs giving up to the minute information on the state of each 
 network connection.

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,7 @@
 TMP=$(CURDIR)/debian/smokeping
 
 override_dh_auto_configure:
-	./configure --prefix=/usr --with-htdocs-dir=/usr/share/smokeping/www --bindir=/usr/sbin --sysconfdir=/usr/share/doc/smokeping/
-
+	dh_auto_configure -- --prefix=/usr --with-htdocs-dir=/usr/share/smokeping/www --bindir=/usr/sbin --sysconfdir=/usr/share/doc/smokeping/
 
 override_dh_auto_install:
 	dh_auto_install

## smokeping 2.6.11

=== debian/changelog ===
smokeping (2.6.11-4) unstable; urgency=medium

  * add missing build-dep on rename (Closes: #826056)
  * check config file validity - thanks Matus UHLAR (Closes: #847924)
  * fix slave permissions configuration - thanks Sven Hartge (Closes: #760945)
  * bump dh compat, no change

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 28 Nov 2017 11:57:04 -0500

smokeping (2.6.11-3) unstable; urgency=medium

  * remove outdated information from README.Debian (Closes: #804384)
  * fix permissions error on default config, enable CGI module in postinst
    (Closes: #760474, #821925)
  * remove Rowan Thorpe from Uploaders, I haven't heard from him in over a
    year
  * fix lintian warnings
  * depend on default-mta to fix default config on fresh installs

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 18 May 2016 17:59:06 -0400

smokeping (2.6.11-2) unstable; urgency=high

  * security fix for CVE-2015-0859: code execution via CGI arguments due
    to Debian Apache configuration

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 10 Nov 2015 13:51:56 -0500

smokeping (2.6.11-1) unstable; urgency=medium

  * new upstream release, see https://oss.oetiker.ch/smokeping/pub/CHANGES
    (Closes: #708615, #759483, #783229)
  * do not ship incorrect .fcgi file (Closes: #695438)
  * port to apache 2.4 (Closes: #669799)
  * drop patches factored in upstream: fix-pod-escaping, fcgi_destdir
  * add patch to ignore missing VERSION file
  * add missing dependencies

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 04 Jun 2015 22:53:39 -0400

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,13 @@
 Section: net
 Priority: extra
 Maintainer: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
+Build-Depends: debhelper (>= 10~)
  , autoconf
  , automake
  , dh-autoreconf
+ , dh-apache2
+ , apache2-dev
+ , rename
 Build-Depends-Indep: librrds-perl
  , groff-base
  , libhtml-parser-perl
@@ -14,7 +17,13 @@
  , liburi-perl
  , libcgi-fast-perl
  , libconfig-grammar-perl
-Standards-Version: 3.9.5
+ , libnet-openssh-perl
+ , libnet-snmp-perl
+ , libnet-ldap-perl
+ , libnet-dns-perl
+ , libnet-telnet-perl
+ , libio-pty-perl
+Standards-Version: 3.9.8
 Homepage: http://smokeping.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/smokeping.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/smokeping.git
@@ -37,10 +46,12 @@
  , libjs-cropper
  , libjs-scriptaculous
  , libjs-prototype
+ , default-mta | mail-transport-agent
 Recommends: apache2 | httpd-cgi
  , libsocket6-perl
  , dnsutils
  , echoping
+ , ${misc:Recommends}
 Suggests: curl
  , libauthen-radius-perl
  , libnet-ldap-perl

=== debian/rules ===
--- 
+++ 
@@ -35,12 +35,13 @@
 	install -m 644 $(CURDIR)/htdocs/cropper/smokeping-zoom.js $(TMP)/usr/share/smokeping/www
 
 	mv $(TMP)/usr/share/doc/smokeping/*.dist $(TMP)/etc/smokeping/
-	rename 's/\.dist$$//' $(TMP)/etc/smokeping/*.dist $(TMP)/usr/share/smokeping/smokeping.fcgi.dist
+	rename 's/\.dist$$//' $(TMP)/etc/smokeping/*.dist
+	rm -f $(TMP)/usr/share/smokeping/smokeping.fcgi.dist
 	rm -f $(TMP)/usr/share/perl5/BER.pm $(TMP)/usr/share/perl5/SNMP_*
-	mv $(TMP)/usr/sbin/smokeping_cgi $(TMP)/usr/lib/cgi-bin/smokeping.cgi
-	install -m 644 $(CURDIR)/debian/apache2.conf $(TMP)/etc/smokeping
+	mv $(TMP)/usr/sbin/smokeping_cgi $(TMP)/usr/share/smokeping/smokeping.cgi
+	install -m 755 $(CURDIR)/debian/smokeping.cgi $(TMP)/usr/lib/cgi-bin/smokeping.cgi
 	$(CURDIR)/debian/split_config $(TMP)
 	install -m 644 $(CURDIR)/debian/default-config $(TMP)/etc/smokeping/config
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --with autoreconf,apache2

=== debian/watch ===
version=3
http://oss.oetiker.ch/smokeping/pub/ smokeping-(.+)\.tar\.gz

## smokeping 2.7.2

=== debian/changelog ===
smokeping (2.7.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Gabriel Filion ]
  * Update patch fping-protocol-version: setup default values (Closes: #908674)

  [ Antoine Beaupré ]
  * Update lintian bypass for embedded javascript

 -- Gabriel Filion <gabriel@koumbit.org>  Thu, 11 Oct 2018 19:22:32 -0400

smokeping (2.7.2-2) unstable; urgency=medium

  [ Gabriel Filion ]
  * Add patch fping-protocol-version. (Closes: #905752)

  [ Antoine Beaupré ]
  * upload to unstable (Closes: #898580)

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 26 Aug 2018 17:28:53 -0400

smokeping (2.7.2-1) experimental; urgency=medium

  * new upstream release (Closes: #898580)
  * drop patch typo_642197 fixed upstream

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 15 May 2018 12:21:26 -0400

smokeping (2.6.11-5) unstable; urgency=medium

  [ Gabriel Filion ]
  * Add a directory index to show the cgi instead of a 403 (Closes:
    #885699, #882987)

  [ Antoine Beaupré ]
  * document FastCGI configuration (Closes: #684870)
  * repository migrated to salsa
  * add Gabriel as maintainer

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 12 May 2018 15:48:07 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: smokeping
 Section: net
-Priority: extra
-Maintainer: Antoine Beaupré <anarcat@debian.org>
+Priority: optional
+Maintainer: Gabriel Filion <gabriel@koumbit.org>
+Uploaders: Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper (>= 10~)
  , autoconf
  , automake
@@ -25,8 +26,8 @@
  , libio-pty-perl
 Standards-Version: 3.9.8
 Homepage: http://smokeping.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/smokeping.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/smokeping.git
+Vcs-Browser: https://salsa.debian.org/debian/smokeping
+Vcs-Git: https://salsa.debian.org/debian/smokeping.git
 
 Package: smokeping
 Architecture: all
@@ -61,10 +62,10 @@
  , libio-socket-ssl-perl
  , libnet-telnet-perl
 Description: latency logging and graphing system
- SmokePing consists of a daemon process which organizes the 
- latency measurements and a CGI which presents the graphs. 
+ SmokePing consists of a daemon process which organizes the
+ latency measurements and a CGI which presents the graphs.
  .
- With SmokePing you can measure latency and packet loss in your network. 
+ With SmokePing you can measure latency and packet loss in your network.
  SmokePing uses RRDtool to maintain a longterm datastore and to draw pretty
- graphs giving up to the minute information on the state of each 
+ graphs giving up to the minute information on the state of each
  network connection.

=== debian/rules ===
--- 
+++ 
@@ -21,18 +21,27 @@
 
 TMP=$(CURDIR)/debian/smokeping
 
+SUBDIRS="doc etc htdocs lib bin"
+
 override_dh_auto_configure:
 	dh_auto_configure -- --prefix=/usr --with-htdocs-dir=/usr/share/smokeping/www --bindir=/usr/sbin --sysconfdir=/usr/share/doc/smokeping/
 
+override_dh_auto_build:
+	dh_auto_build -- SUBDIRS=$(SUBDIRS)
+
+override_dh_auto_test:
+	dh_auto_test -- SUBDIRS=$(SUBDIRS)
+
 override_dh_auto_install:
-	dh_auto_install
+	dh_auto_install -- SUBDIRS=$(SUBDIRS)
 
-	rm -r $(TMP)/usr/share/smokeping/www/cropper
 	dh_link /var/cache/smokeping/images /usr/share/smokeping/www/images
+	install -m 644 $(CURDIR)/htdocs/js/smokeping.js $(TMP)/usr/share/smokeping/www/js
 	for d in cropper prototype scriptaculous; do \
-	        dh_link /usr/share/javascript/$$d /usr/share/smokeping/www/$$d; \
+		rm -rf $(TMP)/usr/share/smokeping/www/js/$$d ; \
+	        dh_link /usr/share/javascript/$$d /usr/share/smokeping/www/js/$$d; \
 	done
-	install -m 644 $(CURDIR)/htdocs/cropper/smokeping-zoom.js $(TMP)/usr/share/smokeping/www
+	rm -f $(TMP)/usr/share/smokeping/www/js/prototype.js
 
 	mv $(TMP)/usr/share/doc/smokeping/*.dist $(TMP)/etc/smokeping/
 	rename 's/\.dist$$//' $(TMP)/etc/smokeping/*.dist
